;+
; NAME:
;  lstlim
; PURPOSE:   (one line only)
;  Compute the LST range for time of observation
; DESCRIPTION:
; CATEGORY:
;  Astronomy
; CALLING SEQUENCE:
; INPUTS:
; OPTIONAL INPUT PARAMETERS:
; KEYWORD INPUT PARAMETERS:
; OUTPUTS:
; KEYWORD OUTPUT PARAMETERS:
; COMMON BLOCKS:
; SIDE EFFECTS:
; RESTRICTIONS:
; PROCEDURE:
; MODIFICATION HISTORY:
;  2004/04/13 - Marc W. Buie, Lowell Observatory, first very rough version.
;-
pro lstlim,ra,dec,answer,rlst,slst,quiet=quiet

   ra_r = raparse(ra)
   dec_r = decparse(dec)

   lat = (35.0+5.0/60.0+48.740/3600.0)/180.0*!pi
   lon = (111.0+32.0/60.0+10.601/3600.0)/180.0*!pi

   amlimit = 2.5
   crital = 0.5*!pi - acos(1.0/amlimit)

   jd = systime(/julian)

   lsidtim,jd,lon,lst
   hatojd,0.0d0,ra_r,lst,jd,jdtrans
   altoha,crital,dec_r,lat,horzha,type
   if type eq 0 then begin
      jdrise  = jdtrans - horzha/2.0d0/!dpi
      jdset   = jdtrans + horzha/2.0d0/!dpi
   endif

   lsidtim,jdrise,lon,rlst
   lsidtim,jdset,lon,slst

   rastr,rlst,-2,rlststr
   rastr,slst,-2,slststr

   if not keyword_set(quiet) then begin
      print,ra,' ',dec
      print,rlststr,'-',slststr

      print,horzha*!radeg/15.0
   endif

   answer = rlststr+'-'+slststr

end
